petsc-3.6.2 2015-10-02
Report Typos and Errors

# TaoComputeJacobianInequality

Computes the Jacobian matrix that has been set with TaoSetJacobianInequalityRoutine().

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoComputeJacobianInequality(Tao tao, Vec X, Mat J, Mat Jpre)

Collective on Tao

### Input Parameters

| solver | - the Tao solver context
| xx | - input vector

### Output Parameters

| H | - Jacobian matrix
| Hpre | - Preconditioning matrix

### Notes

Most users should not need to explicitly call this routine, as it is used internally within the minimization solvers.

### See Also

TaoComputeObjective(), TaoComputeObjectiveAndGradient(), TaoSetJacobianStateRoutine(), TaoComputeJacobianDesign(), TaoSetStateDesignIS()

Level:developer
Location:src/tao/interface/taosolver_hj.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages